{ config, pkgs, lib, ... }:
{
  programs.eza = {
    enable = true;
    git = true;
    icons = "always";
    enableZshIntegration = true;
  };

  programs.fzf = {
    enable = true;
    enableZshIntegration = true;
    tmux.enableShellIntegration = true;
  };

  programs.bat = {
    enable = true;
    config = {
      tabs = "4";
      wrap = "character";
      italic-text = "never";
      theme = "ansi";
    };
  };

  programs.zoxide = {
    enable = true;
    enableZshIntegration = true;
    options = [
      "--cmd cd"
    ];
  };

  programs.git = {
    enable = true;
    settings = {
      core = {
        fileMode = false;
        editor = "vim";
        whitespace = "tabwidth=4,trailing-space,space-before-tab";
      };
      credential."https://git.kenryu.us".username = "kenryuS";
      user = {
        name = "Kenryu Shibata";
        email = "kenryudev5894@gmail.com";
      };
    };
  };

  programs.gitui = {
    enable = true;
  };

  programs.gh = {
    enable = true;
    extensions = with pkgs; [
      gh-f
      gh-eco
      gh-notify
      gh-poi
    ];
    settings = {
      editor = "vim";
      prompt = true;
      pager = "bat";
      browser = "firefox";
      color_labels = true;
      git_protocol = "ssh";
    };
  };
}
